//
//  Contact.m
//  PhoneBook
//
//  Created by Santiago Pavón on 30/10/13.
//  Copyright (c) 2013 UPM. All rights reserved.
//

#import "Contact.h"

@implementation Contact

- (instancetype) initWithName:(NSString*)name
                      address:(NSString*)address
                        phone:(NSString*)phone
{
    if (self = [super init]) {
        _name = name;
        _address = address;
        _phone = phone;
    }
    return self;
}


- (NSString*) description
{
    return [NSString stringWithFormat:@"(%@ [%@] %@)",
            self.name, self.address, self.phone];
}

@end
